Bug 1413535 - container-selinux should Obsolete docker-selinux
Summary: container-selinux should Obsolete docker-selinux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 10:26 UTC by Marko Myllynen
Modified: 2020-12-14 08:00 UTC (History)
8 users (show)

Fixed In Version: docker-1.12.6-1.el7_3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 19:08:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0406 0 normal SHIPPED_LIVE docker bug fix and enhancement update 2017-03-03 00:06:50 UTC

Description Marko Myllynen 2017-01-16 10:26:46 UTC
Description of problem:
The container-selinux package does not Obsolete the docker-selinux which can lead to a situation especially when upgrading that both packages are installed which in turn causes error messages about duplicate label definitions.

Since container-selinux aims to replace docker-selinux it should Obsolete docker-selinux on RPM level.

Version-Release number of selected component (if applicable):
container-selinux-1.12.5-14.el7.x86_64

Comment 2 Daniel Walsh 2017-01-16 15:50:52 UTC
We should also do docker-engine-selinux.

Comment 3 Lokesh Mandvekar 2017-01-18 12:24:42 UTC
Apologies I missed this. I guess at the moment this issue can be taken care of by manually removing docker-selinux, correct? 

We can file this as a known issue until the next update.

Comment 4 Marko Myllynen 2017-01-18 12:27:51 UTC
(In reply to Lokesh Mandvekar from comment #3)
> Apologies I missed this. I guess at the moment this issue can be taken care
> of by manually removing docker-selinux, correct? 

Correct, rpm -e docker-selinux or yum remove-n docker-selinux will do the trick. (Note the usage of remove-n instead of remove, if only container-selinux is present then yum remove docker-selinux would currently remove container-selinux.)

Thanks.

Comment 5 Lokesh Mandvekar 2017-01-18 16:01:13 UTC
On an Atomic Host, the only way to do this would be

# ostree admin unlock
# rpm -e docker-selinux

Is that right? Correct me if I'm wrong.

Comment 6 Colin Walters 2017-01-18 16:15:30 UTC
This issue shouldn't affect Atomic Host, since every base commit is like a fresh install.

Comment 7 Yoana Ruseva 2017-01-18 16:30:49 UTC
Does it affect RHEL users?

Comment 8 Marko Myllynen 2017-01-18 16:32:00 UTC
(In reply to Yoana Ruseva from comment #7)
> Does it affect RHEL users?

This a bug report filed against RHEL 7.

Comment 10 Yoana Ruseva 2017-01-19 12:55:52 UTC
This has been documented as a known issue here:

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/7/single/release-notes/#known_issues

Comment 12 errata-xmlrpc 2017-03-02 19:08:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0406.html


Note You need to log in before you can comment on or make changes to this bug.